Module java.desktop
Package javax.swing.plaf.basic

## Class BasicToolBarUI.ToolBarContListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicToolBarUI.ToolBarContListener

- All Implemented Interfaces:
    `ContainerListener`, `EventListener`
  Direct Known Subclasses:
    `MetalToolBarUI.MetalContainerListener`
  Enclosing class:
    BasicToolBarUI

      protected class BasicToolBarUI.ToolBarContListener
      extends Object
      implements ContainerListener

  The class listens for component events.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ToolBarContListener()` |

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface java.awt.event.ContainerListener

      `componentAdded, componentRemoved`

- - ### Constructor Detail

    - #### ToolBarContListener

          protected ToolBarContListener()